Summary
Add one or more components to Project
Description
Add one or more components to Project
Route
POST /automation-studio/projects/:projectId/components/add
Roles
admin
apiwrite
designer
Parameters
DetailsExampleSchema
| Name |
Type |
Required |
Description |
| projectId |
string |
yes |
Project identifier |
| options |
object |
yes |
Configuration options for adding components to a Project |
Copied to Clipboard
{
"components": [
{
"iid": 67874500,
"type": "template",
"reference": "elit commodo in",
"folder": "/"
},
{
"iid": 61299194,
"type": "workflow",
"reference": "Duis ea nisi sint veniam",
"folder": "/"
}
],
"mode": "move"
}
Copied to Clipboard
{
"title": "options",
"type": "object",
"required": [
"components"
],
"properties": {
"components": {
"$ref": "projects-common#/definitions/components"
},
"mode": {
"type": "string",
"enum": [
"move",
"copy"
]
}
}
}
Return
DetailsExampleSchema
| Name |
Type |
Description |
| response |
object |
Updated project |
Copied to Clipboard
{
"message": "elit in consectetur",
"data": [
{
"_id": "4321abcdef694aa79dae47ad",
"iid": 46465579,
"name": "Firewall Service Provisioning",
"description": "This project is used at Acme Corp as the foundation of some major parts of our business process.",
"members": [
{
"type": "account",
"reference": "4321abcdef694aa79dae47ad",
"role": "editor",
"missing": false,
"username": "incididunt elit",
"name": "officia do reprehenderit",
"provenance": "magna"
},
{
"type": "account",
"reference": "62a1f3d2ebedfc54e6e0065c",
"role": "owner",
"missing": true,
"username": "velit amet exercitation sint incididunt",
"name": "elit sint ut nostrud",
"provenance": "incididunt in consectetur"
},
{
"type": "account",
"reference": "4321abcdef694aa79dae47ad",
"role": "editor",
"missing": true,
"username": "in laboris esse",
"name": "proident",
"provenance": "qui"
}
],
"accessControl": {
"read": [
"ad est",
"qui ut Ut enim",
"consectetur",
"occaecat Ut",
"ut nisi cillum dolore velit"
],
"write": [
"eiusmod dolore ullamco veniam dolore",
"eiusmod Duis ea",
"occaecat exercitation culpa ullamco"
],
"execute": [
"nisi nostrud Duis dolor",
"laboris cupidatat dolor adipisicing tempor",
"in",
"ad",
"quis elit"
],
"manage": [
"sed aliquip sint"
]
},
"componentIidIndex": 43368530,
"components": [
{
"iid": 71486028,
"type": "transformation",
"reference": "pariatur cillum sit",
"folder": "/"
}
],
"created": "2019-11-25T22:51:39.201Z",
"createdBy": {
"_id": "5cb7b531d06cceb89fd21b1c",
"username": null,
"provenance": "ut Ut magna reprehenderit do",
"missing": true
},
"lastUpdated": "2019-11-25T22:51:39.201Z",
"lastUpdatedBy": {
"_id": "5cb7b531d06cceb89fd21b1c",
"username": "consequat fugiat ut nisi sed",
"provenance": "dolor Lorem Ut aliqua dolore",
"missing": true
},
"versionHistory": [
{
"versionNumber": 79915556,
"commitMessage": "consequat cupidatat",
"author": "ad aliquip dolor consequat nostrud",
"branchName": "labore occaecat laboris"
}
],
"gitConfiguration": {
"connectionType": "GitLab",
"repositoryPath": "ad eiusmod dolor",
"branchName": "veniam irure cillum",
"projectPath": "sit esse ea irure in"
}
}
],
"metadata": {
"newComponents": [],
"failedComponents": [],
"idMap": [
{
"original": "1a643151-459b-4a4a-be91-623536b65df3",
"clone": "8696f332-030b-4c2a-8b1b-95844cbb6aea"
}
]
}
}
Copied to Clipboard
{
"title": "response",
"type": "object",
"properties": {
"message": {
"type": "string"
},
"data": {
"type": "array",
"items": {
"$ref": "projects-http"
}
},
"metadata": {
"type": "object",
"properties": {
"newComponents": {
"type": "array",
"description": "Components added"
},
"failedComponents": {
"type": "array",
"description": "Components failed to add"
},
"idMap": {
"type": "array",
"description": "Id map for original and cloned component",
"examples": [
[
{
"original": "1a643151-459b-4a4a-be91-623536b65df3",
"clone": "8696f332-030b-4c2a-8b1b-95844cbb6aea"
}
]
]
}
}
}
}
}